# Generated by Django 2.1.7 on 2019-06-19 13:00

import angled.enums
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0009_alter_user_last_name_max_length'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('angled', '0025_profile_text'),
    ]

    operations = [
        migrations.RunPython(
            lambda x, y:  print("""

/!\ Attention /!\

pour cette migration, if faut que
- soit angled_info_unit_auxiliary_equipments soit vide,
- soit il existe un term qui a pour id 0

""")
        ),
        migrations.CreateModel(
            name='info_unit_actor',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='contact_contact', to='angled.Contact')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_actor_type_type', to='angled.Term')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'actor',
                'verbose_name_plural': 'actor',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='multi_actor',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('index', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='angled.ListIndex')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='angled.info_unit_actor')),
            ],
        ),
        migrations.CreateModel(
            name='permission_info_unit_actor',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('mode', models.CharField(choices=[(angled.enums.perm_mod('read'), 'read'), (angled.enums.perm_mod('write'), 'write')], max_length=32)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='auth.Group')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_actor',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_actor', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_actor', to='angled.info_unit_actor')),
            ],
        ),
        migrations.RemoveField(
            model_name='info_unit_expert',
            name='expert_contact',
        ),
        migrations.RemoveField(
            model_name='info_unit_expert',
            name='project',
        ),
        migrations.RemoveField(
            model_name='info_unit_expert',
            name='transaction',
        ),
        migrations.RemoveField(
            model_name='info_unit_expert',
            name='user',
        ),
        migrations.RemoveField(
            model_name='info_unit_occupant',
            name='occupant_contact',
        ),
        migrations.RemoveField(
            model_name='info_unit_occupant',
            name='occupying_status',
        ),
        migrations.RemoveField(
            model_name='info_unit_occupant',
            name='project',
        ),
        migrations.RemoveField(
            model_name='info_unit_occupant',
            name='transaction',
        ),
        migrations.RemoveField(
            model_name='info_unit_occupant',
            name='user',
        ),
        migrations.RemoveField(
            model_name='info_unit_operator',
            name='operator',
        ),
        migrations.RemoveField(
            model_name='info_unit_operator',
            name='project',
        ),
        migrations.RemoveField(
            model_name='info_unit_operator',
            name='transaction',
        ),
        migrations.RemoveField(
            model_name='info_unit_operator',
            name='user',
        ),
        migrations.RemoveField(
            model_name='info_unit_owner',
            name='contact',
        ),
        migrations.RemoveField(
            model_name='info_unit_owner',
            name='project',
        ),
        migrations.RemoveField(
            model_name='info_unit_owner',
            name='transaction',
        ),
        migrations.RemoveField(
            model_name='info_unit_owner',
            name='user',
        ),
        migrations.RemoveField(
            model_name='info_unit_point_of_contact',
            name='poc',
        ),
        migrations.RemoveField(
            model_name='info_unit_point_of_contact',
            name='project',
        ),
        migrations.RemoveField(
            model_name='info_unit_point_of_contact',
            name='transaction',
        ),
        migrations.RemoveField(
            model_name='info_unit_point_of_contact',
            name='user',
        ),
        migrations.RemoveField(
            model_name='multi_expert',
            name='index',
        ),
        migrations.RemoveField(
            model_name='multi_expert',
            name='unit',
        ),
        migrations.RemoveField(
            model_name='multi_occupant',
            name='index',
        ),
        migrations.RemoveField(
            model_name='multi_occupant',
            name='unit',
        ),
        migrations.RemoveField(
            model_name='multi_point_of_contact',
            name='index',
        ),
        migrations.RemoveField(
            model_name='multi_point_of_contact',
            name='unit',
        ),
        migrations.RemoveField(
            model_name='permission_info_unit_expert',
            name='group',
        ),
        migrations.RemoveField(
            model_name='permission_info_unit_occupant',
            name='group',
        ),
        migrations.RemoveField(
            model_name='permission_info_unit_operator',
            name='group',
        ),
        migrations.RemoveField(
            model_name='permission_info_unit_owner',
            name='group',
        ),
        migrations.RemoveField(
            model_name='permission_info_unit_point_of_contact',
            name='group',
        ),
        migrations.RemoveField(
            model_name='tagged_expert',
            name='tag',
        ),
        migrations.RemoveField(
            model_name='tagged_expert',
            name='unit',
        ),
        migrations.RemoveField(
            model_name='tagged_occupant',
            name='tag',
        ),
        migrations.RemoveField(
            model_name='tagged_occupant',
            name='unit',
        ),
        migrations.RemoveField(
            model_name='tagged_operator',
            name='tag',
        ),
        migrations.RemoveField(
            model_name='tagged_operator',
            name='unit',
        ),
        migrations.RemoveField(
            model_name='tagged_owner',
            name='tag',
        ),
        migrations.RemoveField(
            model_name='tagged_owner',
            name='unit',
        ),
        migrations.RemoveField(
            model_name='tagged_point_of_contact',
            name='tag',
        ),
        migrations.RemoveField(
            model_name='tagged_point_of_contact',
            name='unit',
        ),
        migrations.AddField(
            model_name='info_unit_auxiliary_equipments',
            name='unite',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='of_unite_unite', to='angled.Term'),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name='info_unit_expert',
        ),
        migrations.DeleteModel(
            name='info_unit_occupant',
        ),
        migrations.DeleteModel(
            name='info_unit_operator',
        ),
        migrations.DeleteModel(
            name='info_unit_owner',
        ),
        migrations.DeleteModel(
            name='info_unit_point_of_contact',
        ),
        migrations.DeleteModel(
            name='multi_expert',
        ),
        migrations.DeleteModel(
            name='multi_occupant',
        ),
        migrations.DeleteModel(
            name='multi_point_of_contact',
        ),
        migrations.DeleteModel(
            name='permission_info_unit_expert',
        ),
        migrations.DeleteModel(
            name='permission_info_unit_occupant',
        ),
        migrations.DeleteModel(
            name='permission_info_unit_operator',
        ),
        migrations.DeleteModel(
            name='permission_info_unit_owner',
        ),
        migrations.DeleteModel(
            name='permission_info_unit_point_of_contact',
        ),
        migrations.DeleteModel(
            name='Tagged_expert',
        ),
        migrations.DeleteModel(
            name='Tagged_occupant',
        ),
        migrations.DeleteModel(
            name='Tagged_operator',
        ),
        migrations.DeleteModel(
            name='Tagged_owner',
        ),
        migrations.DeleteModel(
            name='Tagged_point_of_contact',
        ),
    ]
